LiveDataExecutor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.livedata.server.session.LiveDataExecutor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.livedata.server.session
Class LiveDataExecutor

    java.lang.Object
      edu.emory.mathcs.backport.java.util.concurrent.AbstractExecutorService
          edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
              org.hyperic.hq.livedata.server.session.LiveDataExecutor

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.Executor, edu.emory.mathcs.backport.java.util.concurrent.ExecutorService

    public class LiveDataExecutor

extends edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor

Nested Class Summary

Nested classes/interfaces inherited from class edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
`edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.AbortPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

Constructor Summary
`LiveDataExecutor()`

Method Summary
`void` | `getData(LiveDataCommandsClient client, java.util.List commands)`
`LiveDataResult[]` | `getResult()`

Methods inherited from class edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor
`afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

Methods inherited from class edu.emory.mathcs.backport.java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveDataExecutor

    public LiveDataExecutor()

Method Detail

### getData

    public void getData(LiveDataCommandsClient client,
                        java.util.List commands)

### getResult

    public LiveDataResult[] getResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.